Page MenuHomePhabricator

Style "In more languages" and "all entered languages" link
Closed, ResolvedPublic2 Estimated Story Points

Description

Motivation
Users should be able to easily identify and use the links to more languages. This ticket is about making them visible, easily clickable, and about the arrow reflecting the current state of expansion.

Mocks
Expanded:


Collapsed

Acceptance criteria:

  • The links ("show more languages", "all entered languages") are styled as shown on the mock ups, with an arrow next to the text, and the horizontal lines stretching link for the whole width of the screen
  • The click area is not just the link text but the whole area indicated in the mock ups.
  • The arrows are flipped, once the languages are expanded, and flipped back to pointing down if they are collapsed

Event Timeline

WMDE-leszek set the point value for this task to 5.Nov 14 2018, 3:42 PM
Lea_WMDE triaged this task as Medium priority.Nov 22 2018, 2:24 PM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE moved this task from Backlog to MVP tickets: In preparation on the Wikidata-Termbox board.
Lea_WMDE renamed this task from Style "In more languages" link to Style "In more languages" and "all entered languages" link.Jan 9 2019, 10:57 AM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE changed the point value for this task from 5 to 3.
Lea_WMDE changed the point value for this task from 3 to 2.Jan 9 2019, 11:07 AM

@Lea_WMDE: @Matthias_Geisler_WMDE just discovered that Opera Mini which apparently has somewhere between 1,5% and 4,5% mobile browser market share, does not allow CSS transformations. So far we only used them for flipping SVGs, e.g. the pen and soon the arrows on the buttons. Are we ok with having non-flipped SVGs in Opera mini or should we add the flipped versions of the images so that they work there, too?

Change 487049 had a related patch set uploaded (by Matthias Geisler; owner: Matthias Geisler):
[wikibase/termbox@master] Add troggle button styles

https://gerrit.wikimedia.org/r/487049

Change 487049 merged by jenkins-bot:
[wikibase/termbox@master] Add toggle button styles

https://gerrit.wikimedia.org/r/487049

Change 487147 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/Wikibase@master] Update termbox

https://gerrit.wikimedia.org/r/487147

Change 487147 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Update termbox

https://gerrit.wikimedia.org/r/487147

Change 487342 had a related patch set uploaded (by Jakob; owner: Jakob):
[wikibase/termbox@master] Adjust z-index of the toggle-button line

https://gerrit.wikimedia.org/r/487342

@Lea_WMDE: @Matthias_Geisler_WMDE just discovered that Opera Mini which apparently has somewhere between 1,5% and 4,5% mobile browser market share, does not allow CSS transformations. So far we only used them for flipping SVGs, e.g. the pen and soon the arrows on the buttons. Are we ok with having non-flipped SVGs in Opera mini or should we add the flipped versions of the images so that they work there, too?

Sorry for the delayed reply! Let's start with not doing anything special for Opera Mini, but I will ask Hanna as well (and we would write another ticket if that request comes up)

Change 487868 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[wikibase/termbox@master] toggleButton: arrow icons are only 32 square

https://gerrit.wikimedia.org/r/487868

Change 487342 merged by jenkins-bot:
[wikibase/termbox@master] Polish toggle button styles

https://gerrit.wikimedia.org/r/487342

Change 487868 merged by jenkins-bot:
[wikibase/termbox@master] toggleButton: arrow icons are only 32 square

https://gerrit.wikimedia.org/r/487868

Thanks for the Update. I found one functional remark, one question and two minor style notes.

  1. When all entered languages are expanded, the aliases still run into the "interactive sidebar". see screenshot below
  2. Did we decide that we "remember in which state the termbox has been throughout the pages? If so, the all entered languages section does not remain its state but goes back to be collepsed when switching items
  3. the line weight of the devider is currently 2px but supposed to be one
  4. Can we have the font in medium instead of bold? I didn't pay attention to that anymore after we had the font discussion.

@Hanna_Petruschat_WMDE Thanks for the review!

  1. Yes, that's a known issue. If it's ok with you, I would rather make this part of T214898 because it doesn't have much to do with the buttons.
  2. Nope, that's T209496.
  3. Whoops, will fix!
  4. Yes, we can change that. Following the IRL discussion: medium = somewhere between bold and normal in CSS font-weight. Can do, but in fonts like Arial it'll still come out bold.

Ah, thnaks for pointing out the other two tickets.

Regarding the font: Let's postpone this and assume we can have an overall check later and adapt if really needed. For now this should be on the lower end on the list of priorities.

Change 488968 had a related patch set uploaded (by Jakob; owner: Jakob):
[wikibase/termbox@master] Adjust toggle button border

https://gerrit.wikimedia.org/r/488968

Change 488968 merged by jenkins-bot:
[wikibase/termbox@master] Adjust toggle button border

https://gerrit.wikimedia.org/r/488968